Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-0433

Overview

Vulnerability Score 6.8 6.8
CVE Id CVE-2011-0433
Last Modified 18 Dec 2012 11:36:30
Published 19 Nov 2012 07:10:48
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2011-0433

Summary

Heap-based buffer overflow in the linetoken function in afmparse.c in t1lib, as used in teTeX 3.0.x, GNOME evince, and possibly other products, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a DVI file containing a crafted Adobe Font Metrics (AFM) file, a different vulnerability than CVE-2010-2642.

Vulnerable Systems

Application

  • Gnome Evince -

  • T1lib

  • Tetex 3.0


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=679732

CONFIRM - https://bugzilla.gnome.org/show_bug.cgi?id=640923

MISC - http://xorl.wordpress.com/2011/02/20/cve-2011-0433-evince-linetoken-buffer-overflow/

MANDRIVA - MDVSA-2012:144

REDHAT - RHSA-2012:1201

SECUNIA - 48985

Related Patches

Red Hat 2012:1201-01 RHSA Moderate: tetex security update for RHEL 5 x86

Novell SUSE 2011:7346 evince security update for SLE 10 SP3 i586

Novell SUSE 2011:7409 evince security update for SLE 10 SP4 i586

Novell SUSE 2012:6195 t1lib security update for SLE 11 SP1 i586

Novell SUSE 2012:6195 t1lib security update for SLE 11 SP1 x86_64


Last Updated: 27 May 2016 10:53:46